import request from '@/utils/request'

// 查询字典数据列表
export function listData(query) {
  return request({
    url: '/system/tenant/dict-data/page',
    method: 'get',
    params: query
  })
}

// 查询字典数据详细
export function getData(dictCode) {
  return request({
    url: '/system/tenant/dict-data/get?id=' + dictCode,
    method: 'get'
  })
}

// 新增字典数据
export function addData(data) {
  return request({
    url: '/system/tenant/dict-data/create',
    method: 'post',
    data: data
  })
}

// 修改字典数据
export function updateData(data) {
  return request({
    url: '/system/tenant/dict-data/update',
    method: 'put',
    data: data
  })
}

// 删除字典数据
export function delData(dictCode) {
  return request({
    url: '/system/tenant/dict-data/delete?id=' + dictCode,
    method: 'delete'
  })
}

// 导出字典数据
export function exportData(query) {
  return request({
    url: '/system/tenant/dict-data/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 查询全部字典数据列表
export function listSimpleDictDatas() {
  return request({
    url: '/system/tenant/dict-data/list-all-simple',
    method: 'get',
  })
}


// 根据字典类型获取所有开启状态的数据列表(新增,修改下拉框)
export function getOpenDicts(dictType) {
  return request({
    url: '/system/tenant/dict-data/list-all-simple?dictType=' + dictType,
    method: 'get',
  })
}

// 根据字典类型获取所有状态的数据列表(列表查询下拉框)
export function getAllDicts(dictType) {
  return request({
    url: '/system/tenant/dict-data/list-all?dictType=' + dictType,
    method: 'get',
  })
}